Subject: Re: [PATCH] mtd: nand: add FSL_SOC dependency to drivers using FSL_LBC

From: Brian Norris <[email-masked]>
Date: Thu, 7 Jan 2016 12:45:20 -0800

Hi Scott,

On Thu, Jan 07, 2016 at 02:40:37PM -0600, Scott Wood wrote:
> On Thu, 2016-01-07 at 12:34 -0800, Brian Norris wrote:
> > On Thu, Jan 07, 2016 at 01:47:33PM -0600, Scott Wood wrote:
> > > On Thu, 2016-01-07 at 11:21 -0800, Brian Norris wrote:
> > > > I've managed to construct .config files (for ppc64) that come across
> > > > this Kconfig warning:
> > > > 
> > > >   warning: (MPC836x_RDK && MTD_NAND_FSL_ELBC && MTD_NAND_FSL_UPM)
> > > > selects
> > > > FSL_LBC which has unmet direct dependencies (FSL_SOC)
> > > > 
> > > > Let's add the FSL_SOC dependency to the NAND drivers. AFAICT, they are
> > > > only supported on PPC32 FSL SoCs anyway.
> > > 
> > > There are other problems, if you can enable an 83xx board on ppc64. 
> > >  PPC_83xx
> > > does select FSL_SOC so I don't know why it's unmet.
> > 
> > I don't have an 83xx board enabled. I just have MTD_NAND_FSL_ELBC
> > enabled; it only depends on PPC right now. Attaching the current test
> > .config, for clarity.
> 
> Where did MPC836x_RDK come from above?

I believe that Kconfig warning is misleading. Seems like it should be
saying '||' instead of '&&'. I did not have MPC836x_RDK or
MTD_NAND_FSL_UPM in my .config; only MTD_NAND_FSL_ELBC=y. (Check the
attachment from my previous mail to be sure.)

Regards,
Brian